Booking.com
Booking.com: Prices
Prices from Booking.com. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
booking
/
prices
Prices
curl --request GET \
--url https://api.perceptlayer.com/v1/booking/prices \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/booking/prices"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/booking/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/booking/prices';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/booking/prices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/booking/prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/booking/prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/booking/prices")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "booking.prices",
"params": {
"ss": "Paris",
"checkin": "2026-11-20",
"checkout": "2026-11-23",
"group_adults": "2",
"dest_id": "-1456928",
"dest_type": "city"
},
"response": {
"success": true,
"data": {
"title": "Booking.com: hotels in Paris",
"canonical_url": "https://www.booking.com/searchresults.html?ss=Paris&checkin=2026-11-20&checkout=2026-11-23&group_adults=2&dest_id=-1456928&dest_type=city",
"prices": [
{
"name": "Royal Saint Michel",
"url": "https://www.booking.com/hotel/fr/royal-saint-michel.html",
"price": "$351.05",
"review_score": "8.8",
"location": "3 Boulevard Saint Michel, Paris",
"image": "https://cf.bstatic.com/xdata/images/hotel/square240/560523800.jpg?k=bed38a91ba6f93b43d4c930f406a71cf537f72f449714c8ddc332f6b5a6a3491&o="
},
{
"name": "Ibis Styles Paris Batignolles",
"url": "https://www.booking.com/hotel/fr/mirific.html",
"price": "$146.46",
"review_score": "8.3",
"location": "119 Avenue De Clichy, Paris",
"image": "https://cf.bstatic.com/xdata/images/hotel/square240/753148428.jpg?k=f66edc329a17da900502ecfe7770775c7840ab8a9faf90c1635227c3f5fe4bbf&o="
},
{
"name": "Mercure Tour Eiffel Grenelle",
"url": "https://www.booking.com/hotel/fr/toureiffelparis.html",
"price": "$162.47",
"review_score": "8.1",
"location": "64, Boulevard de Grenelle, Paris",
"image": "https://cf.bstatic.com/xdata/images/hotel/square240/776603526.jpg?k=7c793537248c9e1b946e5bb5e0902a6a80568961d7dc903aa0fa30eacbc3f231&o="
}
],
"total_prices": 25,
"parsed": true
},
"meta": {
"url": "https://www.booking.com/searchresults.html?ss=Paris&checkin=2026-11-20&checkout=2026-11-23&group_adults=2&dest_id=-1456928&dest_type=city",
"duration_ms": 1423.85,
"scraped_at": "2026-10-23T19:48:12+00:00",
"cached": false,
"booking_source": "graphql",
"booking_pool_stages": [
"aws_waf_replay_success"
]
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Booking.com API overview for every Booking.com endpoint.
Authorizations
Query Parameters
Maximum string length:
200Available options:
city, region, district, hotel, landmark, airport Maximum string length:
10Maximum string length:
3Was this page helpful?
⌘I
Prices
curl --request GET \
--url https://api.perceptlayer.com/v1/booking/prices \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/booking/prices"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/booking/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/booking/prices';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/booking/prices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/booking/prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/booking/prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/booking/prices")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "booking.prices",
"params": {
"ss": "Paris",
"checkin": "2026-11-20",
"checkout": "2026-11-23",
"group_adults": "2",
"dest_id": "-1456928",
"dest_type": "city"
},
"response": {
"success": true,
"data": {
"title": "Booking.com: hotels in Paris",
"canonical_url": "https://www.booking.com/searchresults.html?ss=Paris&checkin=2026-11-20&checkout=2026-11-23&group_adults=2&dest_id=-1456928&dest_type=city",
"prices": [
{
"name": "Royal Saint Michel",
"url": "https://www.booking.com/hotel/fr/royal-saint-michel.html",
"price": "$351.05",
"review_score": "8.8",
"location": "3 Boulevard Saint Michel, Paris",
"image": "https://cf.bstatic.com/xdata/images/hotel/square240/560523800.jpg?k=bed38a91ba6f93b43d4c930f406a71cf537f72f449714c8ddc332f6b5a6a3491&o="
},
{
"name": "Ibis Styles Paris Batignolles",
"url": "https://www.booking.com/hotel/fr/mirific.html",
"price": "$146.46",
"review_score": "8.3",
"location": "119 Avenue De Clichy, Paris",
"image": "https://cf.bstatic.com/xdata/images/hotel/square240/753148428.jpg?k=f66edc329a17da900502ecfe7770775c7840ab8a9faf90c1635227c3f5fe4bbf&o="
},
{
"name": "Mercure Tour Eiffel Grenelle",
"url": "https://www.booking.com/hotel/fr/toureiffelparis.html",
"price": "$162.47",
"review_score": "8.1",
"location": "64, Boulevard de Grenelle, Paris",
"image": "https://cf.bstatic.com/xdata/images/hotel/square240/776603526.jpg?k=7c793537248c9e1b946e5bb5e0902a6a80568961d7dc903aa0fa30eacbc3f231&o="
}
],
"total_prices": 25,
"parsed": true
},
"meta": {
"url": "https://www.booking.com/searchresults.html?ss=Paris&checkin=2026-11-20&checkout=2026-11-23&group_adults=2&dest_id=-1456928&dest_type=city",
"duration_ms": 1423.85,
"scraped_at": "2026-10-23T19:48:12+00:00",
"cached": false,
"booking_source": "graphql",
"booking_pool_stages": [
"aws_waf_replay_success"
]
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}